Subject: Re: bug#67527: 30.0.50; FR: Add an option to disable ispell completion in text-mode

From: Eshel Yaron <[email-masked]>
Date: Sat, 16 Dec 2023 09:37:03 +0100

Eshel Yaron <[email-masked]> writes:

> Eason Huang <[email-masked]> writes:
>
>> It's not a good idear to add `ispell-completion-at-point` to
>> `completion-at-point-functions` by default.
>> ...
>> Anyway, I can use the below code to rollback to the behavior before
>> the commit.
>>
>> ```
>> (add-hook 'text-mode-hook
>>           (lambda ()
>>             (remove-hook 'completion-at-point-functions
>>             'ispell-completion-at-point t)))
>> ```
>
> Indeed, it's easy enough to adapt if you happen not to like this capf.
> Which is why I don't think a dedicated user option is in order.
> ...
> I wonder how others feel about this, though.

I surveyed a bunch of user configurations online, and saw that it is not
that uncommon for people to globally enable automatic completion pop ups
with company and corfu.  As Eason Huang reports, the new
`ispell-completion-at-point` probably makes such pop ups rather noisy.

I see that Dmitry (CC'd) already addressed this in company (by skipping
this capf).  I suppose corfu could do something along the same lines
(CC'ing Daniel as well)...  Do you guys think that's a reasonable remedy?

Eshel